#include <iostream>

using namespace std;
int brojcifara(int n)
{
    int a=1;
    while(n>9)
    {
        a++;
        n=n/10;
    }
    return a;
}
int main()
{
    long long A,B,C,max=0,a,b,c,x,y,z,s;
    cin>>A>>B>>C;
    a=brojcifara(A);
    b=brojcifara(B);
    c=brojcifara(C);
     for(int i=1;i<=3;i++)
     {
         if(i==2)
         {
             x=B;
             z=A;
             s=C;
             y=a+c;
         }
         else if(i==3)
         {
             x=C;
             z=A;
             s=B;
             y=a+b;
         }
         else
         {
             x=A;
             z=B;
             s=C;
             y=c+b;
         }
         for(int j=1;j<=2;j++)
         {
             for(int k=1;k<=y;k++)
             {
                 x=x*10;
             }
             if(j==2)
                x=x+s+z;
             else
                x=x+z+s;
             if(max<x)
                max=x;
         }
     }
     cout<<max<<endl;
     return 0;
}